This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121199 - Bug in vsftpd-1.2.1-2 RPM.
Bug in vsftpd-1.2.1-2 RPM.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
: 104075 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 17:31 EDT by Boris Gontar
Modified: 2014-03-16 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 18:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Boris Gontar 2004-04-18 17:31:20 EDT
Description of problem: As packaged, vsftpd-1.2.1-2 contains file
/etc/vsftpd/vsftpd.conf, but the executable /usr/sbin/vsftpd refers to
/etc/vsftpd.conf.


Version-Release number of selected component (if applicable):
vsftpd-1.2.1-2


How reproducible: Change something in /etc/vsftpd/vsftpd.conf (make
sure that /etc/vsftpd.conf does not exist) and vsftpd will not see the
change. My vsftpd started via xinetd.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: To my opinion, the bug is in RPM, not in the source,
because it does not make sense to have a directory /etc/vsftpd with a
single file in it.
Comment 1 Alan Cox 2004-05-02 20:23:09 EDT
Marking as security because in some situations editing the wrong file
could be *really* bad
Comment 2 Bishop Clark 2004-05-03 02:04:31 EDT
this looks like bug 104075 maybe check and close:dupe one?
Comment 3 Bill Nottingham 2004-05-03 14:47:46 EDT
*** Bug 104075 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2004-05-03 18:05:49 EDT
Fixed in 1.2.1-5.

Note You need to log in before you can comment on or make changes to this bug.